<< downsample | FOSSEE_Signal_Processing_Toolbox | durbinlevinson >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > dst1

# dst1

Computes the type I discrete sine transform of x

### Syntax

    y = dst1(x)
    y = dst1(x, n)

### Parameters

x:

  real or complex valued vector

n:

  Length to which x is trimmed before transform

y:

  Discrete sine transform of the input signal.

### Description

Computes the type 1 discrete sine transform of x. If n is given, then x is padded or trimmed to length n before computing the transform. If x is a matrix, compute the transform along the columns of the the matrix.

### Examples

    y = dst1([1, 2, 3, 4])

### See also

- fft

Report an issue
<< downsample | FOSSEE_Signal_Processing_Toolbox | durbinlevinson >>